Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerAnimation.cpp

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExManagerAnimation.cpp,v 1.7 2002/09/22 15:54:01 data Exp $
    00021  *
    00022  */
    00023 #include "ExManagerAnimation.h"
    00024
    00025 bool ExManagerAnimation::m_flag = false;
    00026 ExManagerAnimation* ExManagerAnimation::m_instance = NULL;
    00027
    00028 ExManagerAnimation* ExManagerAnimation::CreateSingleton(void){
    00029 Guard(ExManagerAnimation* ExManagerAnimation::CreateSingleton(void))
    00030         if(!m_flag)
    00031         {
    00032                 m_flag = true; // We are creating the error log now, so set flag to true
    00033                 m_instance = new ExManagerAnimation; // Create the error log
    00034         }else
    00035         {
    00036                 std::cout<<"Error singleton already created"<<std::endl;
    00037         }
    00038         return m_instance;
    00039 UnGuard
    00040 }
    00041
    00042 ExManagerAnimation::ExManagerAnimation(void)
    00043 {
    00044 }
    00045
    00046 ExManagerAnimation::~ExManagerAnimation(void)
    00047 {
    00048 }
    00049
    00050 void ExManagerAnimation::Reset(void)
    00051 {
    00052 }
    00053